org.springframework.beans.factory.parsing

## Class PassThroughSourceExtractor

- java.lang.Object
- - org.springframework.beans.factory.parsing.PassThroughSourceExtractor

All Implemented Interfaces:
  SourceExtractor

    public class PassThroughSourceExtractor
    extends Object
    implements SourceExtractor

Simple `SourceExtractor` implementation that just passes the candidate source metadata object through for attachment.

Using this implementation means that tools will get raw access to the underlying configuration source metadata provided by the tool.

This implementation should not be used in a production application since it is likely to keep too much metadata in memory (unnecessarily).

Since:
  2.0
Author:
  Rob Harrop

### Constructor Summary

Constructors
Constructor and Description
`PassThroughSourceExtractor()`

### Method Summary

Methods
`Object` `extractSource(Object sourceCandidate, Resource definingResource)` Simply returns the supplied `sourceCandidate` as-is.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PassThroughSourceExtractor

    public PassThroughSourceExtractor()

### Method Detail

#### extractSource

    public Object extractSource(Object sourceCandidate,
                       Resource definingResource)

Simply returns the supplied `sourceCandidate` as-is.

Specified by:
  `extractSource` in interface `SourceExtractor`
Parameters:
  `sourceCandidate` - the source metadata
  `definingResource` - the resource that defines the given source object (may be `null`)
Returns:
  the supplied `sourceCandidate`